##
##  ed.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_dist 1.20.2
%define       V_opkg 1.20.2

#   package information
Name:         ed
Summary:      Line Editor
URL:          http://www.gnu.org/software/ed/ed.html
Vendor:       Andrew L. Moore, Antonio Diaz Diaz
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        ShellUtils
License:      GPL
Version:      %{V_opkg}
Release:      20240423

#   list of sources
Source0:      http://ftp.gnu.org/gnu/ed/ed-%{V_dist}.tar.lz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, lzip
PreReq:       OpenPKG, openpkg >= 20160101

%description
    ed(1) is a line-oriented text editor. It is used to create, display,
    modify and otherwise manipulate text files, both interactively
    and via shell scripts. A restricted version of ed(1), red(1), can
    only edit files in the current directory and cannot execute shell
    commands. ed(1) is the "standard" text editor in the sense that it
    is the original editor for Unix, and thus widely available. For most
    purposes, however, it is superseded since decades by full-screen
    editors such as Vim or Emacs.

%track
    prog ed = {
        version   = %{V_dist}
        url       = http://ftp.gnu.org/gnu/ed/
        regex     = ed-(__VER__)\.tar\.lz
    }

%prep
    %setup -q -T -c
    cd ..
    %{l_prefix}/bin/lzip -d -c %{SOURCE0} | %{l_tar} xf -

%build
    ./configure \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}" \
        --prefix=%{l_prefix} \
        --infodir=%{l_prefix}/info \
        --mandir=%{l_prefix}/man
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install install-man DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

